Download OpenAPI specification:Download
The Accommodate REST API is designed to have predictable URLs and to use HTTP response codes to indicate API errors. JSON will be returned in all responses from the API, excluding errors which will be returned in HTML.
Rate limiting of the API is on a per-token basis. There are three effective rate limiters:
All responses will include 3 rate limiting headers:
X-Rate-Limit-Limit: Total rate limit for all calls in a dayX-Rate-Limit-Remaining: The number of requests left for the dayX-Rate-Limit-Reset: Time before the rate limit resets in UTCOnly third party companies who are official Partners within the Symplicity Partner Program can access API(s).
Adding bulk=1 parameter to a PUT/POST request indicates that the request takes the form of a bulk payload which can include up to 100 records in a single POST/PUT request. The bulk payload is an array of regular request objects. The response to a bulk payload request will contain a responses attribute, which is an array of object responses sequenced in the same order as the objects were presented in the payload. If any payload record updates fail, corresponding objects in the responses array will include errors or messages attribute.
Specific create (POST) bulk records in a payload are identical to regular create requests. Update (PUT) bulk requests are different from regular update requests in that id of the record to update is not indicated in the route itself, but rather in each individual request in the array, along with other regular payload fields.
API calls impacting record 'name' fields will be handled as follows:
fullName is provided, it is parsed to first/middle/lastName.first/middle/lastName fields are sent, but without full name, the fullName field is constructed.full/first/middle/lastName are all provided, no parsing/construction occurs.fullName and only some of the other name fields are provided, the missing name fields will be populated.Returns a list of students.
| keyword | string Search for students by schoolStudentId or username matching the keyword |
| page | integer Default: 1 Page number of the collection |
| perPage | integer <= 500 Default: 20 Maximum number of records to return, up to 500 |
| sort | string Name of field to sort by in ascending order.
Prepend |
| customFields | integer Enum: 0 1 When set to 1, returns custom field/values in addition to standard fields |
| unstartedApplication | integer Enum: 0 1 Filter by unstarted application status |
{- "page": 1,
- "perPage": 20,
- "total": 100,
- "className": "string",
- "models": [
- {
- "id": "abc123",
- "label": "string",
- "schoolStudentId": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "birthdate": "2019-08-24",
- "status": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "alumni": true,
- "accountDisabled": true,
- "address": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "permanentAddress": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "counselors": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "applicantType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "degreeLevel": {
- "id": "abc123",
- "label": "Display Label"
}, - "gpa": "3.4",
- "graduationDate": "2019-08-24",
- "major": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "programType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "workAuthorization": {
- "id": "abc123",
- "label": "Display Label"
}, - "year": {
- "id": "abc123",
- "label": "Display Label"
}, - "cellphoneNum": "5711231234",
- "mobileCarrier": {
- "id": "abc123",
- "label": "Display Label"
}, - "receiveSMS": true,
- "modified": "2019-08-24T14:15:22Z"
}
]
}Create a new student using student information and an optional content body.
Important:
email field is required along with the field configured in System Setting "Set Unique Identifier for Students".cellphoneNum, mobileCarrier, and receiveSMS fields.Custom fields for student and student profile can be set at the same level. If there is a naming conflict, the field from student will be used.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| schoolStudentId | string |
| firstName | string |
| middleName | string |
| lastName | string |
| fullName | string |
| email required | string <email> |
| username | string |
| phone | string |
| birthdate | string <date> |
| alumni | boolean |
| accountDisabled | boolean |
object (AddressInput) | |
object (AddressInput) | |
| status | Array of strings Array of status pick value IDs |
| counselors | Array of strings Array of counselor IDs |
| applicantType | Array of strings |
| degreeLevel | string |
| gpa | string |
| major | Array of strings |
| programType | Array of strings |
| workAuthorization | string |
| year | string |
| graduationDate | string <date> |
[ ]{- "error": "string"
}Bulk update students. Requires bulk=1 query parameter. Each object must include an id field.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| id required | string |
| schoolStudentId | string |
| firstName | string |
| middleName | string |
| lastName | string |
| fullName | string |
| email required | string <email> |
| username | string |
| phone | string |
| birthdate | string <date> |
| alumni | boolean |
| accountDisabled | boolean |
object (AddressInput) | |
object (AddressInput) | |
| status | Array of strings Array of status pick value IDs |
| counselors | Array of strings Array of counselor IDs |
| applicantType | Array of strings |
| degreeLevel | string |
| gpa | string |
| major | Array of strings |
| programType | Array of strings |
| workAuthorization | string |
| year | string |
| graduationDate | string <date> |
[- {
- "id": "string",
- "schoolStudentId": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "birthdate": "2019-08-24",
- "alumni": true,
- "accountDisabled": true,
- "address": {
- "street": "1728 N Troy",
- "city": "Arlington",
- "state": "US-VA",
- "zip": "22201",
- "country": "US"
}, - "permanentAddress": {
- "street": "1728 N Troy",
- "city": "Arlington",
- "state": "US-VA",
- "zip": "22201",
- "country": "US"
}, - "status": [
- "string"
], - "counselors": [
- "string"
], - "applicantType": [
- "string"
], - "degreeLevel": "string",
- "gpa": "string",
- "major": [
- "string"
], - "programType": [
- "string"
], - "workAuthorization": "string",
- "year": "string",
- "graduationDate": "2019-08-24"
}
]{- "responses": [
- {
- "id": "abc123",
- "label": "string",
- "schoolStudentId": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "birthdate": "2019-08-24",
- "status": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "alumni": true,
- "accountDisabled": true,
- "address": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "permanentAddress": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "counselors": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "applicantType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "degreeLevel": {
- "id": "abc123",
- "label": "Display Label"
}, - "gpa": "3.4",
- "graduationDate": "2019-08-24",
- "major": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "programType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "workAuthorization": {
- "id": "abc123",
- "label": "Display Label"
}, - "year": {
- "id": "abc123",
- "label": "Display Label"
}, - "cellphoneNum": "5711231234",
- "mobileCarrier": {
- "id": "abc123",
- "label": "Display Label"
}, - "receiveSMS": true,
- "modified": "2019-08-24T14:15:22Z"
}
]
}Returns information for a single student.
| id required | string ID of the requested student |
{- "id": "abc123",
- "label": "string",
- "schoolStudentId": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "birthdate": "2019-08-24",
- "status": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "alumni": true,
- "accountDisabled": true,
- "address": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "permanentAddress": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "counselors": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "applicantType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "degreeLevel": {
- "id": "abc123",
- "label": "Display Label"
}, - "gpa": "3.4",
- "graduationDate": "2019-08-24",
- "major": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "programType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "workAuthorization": {
- "id": "abc123",
- "label": "Display Label"
}, - "year": {
- "id": "abc123",
- "label": "Display Label"
}, - "cellphoneNum": "5711231234",
- "mobileCarrier": {
- "id": "abc123",
- "label": "Display Label"
}, - "receiveSMS": true,
- "modified": "2019-08-24T14:15:22Z"
}Update student. When updating a multi-value field (e.g. major), it will override with the new value.
| id required | string ID of the student to update |
| schoolStudentId | string |
| firstName | string |
| middleName | string |
| lastName | string |
| fullName | string |
| email required | string <email> |
| username | string |
| phone | string |
| birthdate | string <date> |
| alumni | boolean |
| accountDisabled | boolean |
object (AddressInput) | |
object (AddressInput) | |
| status | Array of strings Array of status pick value IDs |
| counselors | Array of strings Array of counselor IDs |
| applicantType | Array of strings |
| degreeLevel | string |
| gpa | string |
| major | Array of strings |
| programType | Array of strings |
| workAuthorization | string |
| year | string |
| graduationDate | string <date> |
{- "schoolStudentId": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "birthdate": "2019-08-24",
- "alumni": true,
- "accountDisabled": true,
- "address": {
- "street": "1728 N Troy",
- "city": "Arlington",
- "state": "US-VA",
- "zip": "22201",
- "country": "US"
}, - "permanentAddress": {
- "street": "1728 N Troy",
- "city": "Arlington",
- "state": "US-VA",
- "zip": "22201",
- "country": "US"
}, - "status": [
- "string"
], - "counselors": [
- "string"
], - "applicantType": [
- "string"
], - "degreeLevel": "string",
- "gpa": "string",
- "major": [
- "string"
], - "programType": [
- "string"
], - "workAuthorization": "string",
- "year": "string",
- "graduationDate": "2019-08-24"
}{- "id": "abc123",
- "label": "string",
- "schoolStudentId": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "birthdate": "2019-08-24",
- "status": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "alumni": true,
- "accountDisabled": true,
- "address": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "permanentAddress": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "counselors": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "applicantType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "degreeLevel": {
- "id": "abc123",
- "label": "Display Label"
}, - "gpa": "3.4",
- "graduationDate": "2019-08-24",
- "major": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "programType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "workAuthorization": {
- "id": "abc123",
- "label": "Display Label"
}, - "year": {
- "id": "abc123",
- "label": "Display Label"
}, - "cellphoneNum": "5711231234",
- "mobileCarrier": {
- "id": "abc123",
- "label": "Display Label"
}, - "receiveSMS": true,
- "modified": "2019-08-24T14:15:22Z"
}Returns list of pick values for the given student field.
| field required | string Value: "counselors" Name of field with pick values for Student |
[- {
- "id": "abc123",
- "label": "Display Label"
}
]Returns list of pick values for the given student profile field.
| field required | string Enum: "status" "major" "applicantType" "degreeLevel" "programType" "workAuthorization" "year" Name of field with pick values for Student Profile |
[- {
- "id": "abc123",
- "label": "Display Label"
}
]Returns a list of archived students.
| keyword | string Search for students by schoolStudentId or username matching the keyword |
| page | integer Default: 1 Page number of the collection |
| perPage | integer <= 500 Default: 20 Maximum number of records to return, up to 500 |
| sort | string Name of field to sort by in ascending order.
Prepend |
| customFields | integer Enum: 0 1 When set to 1, returns custom field/values in addition to standard fields |
{- "page": 1,
- "perPage": 20,
- "total": 100,
- "className": "string",
- "models": [
- {
- "id": "abc123",
- "label": "string",
- "schoolStudentId": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "birthdate": "2019-08-24",
- "status": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "alumni": true,
- "accountDisabled": true,
- "address": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "permanentAddress": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "counselors": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "applicantType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "degreeLevel": {
- "id": "abc123",
- "label": "Display Label"
}, - "gpa": "3.4",
- "graduationDate": "2019-08-24",
- "major": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "programType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "workAuthorization": {
- "id": "abc123",
- "label": "Display Label"
}, - "year": {
- "id": "abc123",
- "label": "Display Label"
}, - "cellphoneNum": "5711231234",
- "mobileCarrier": {
- "id": "abc123",
- "label": "Display Label"
}, - "receiveSMS": true,
- "modified": "2019-08-24T14:15:22Z"
}
]
}Returns information for a single archived student.
| id required | string ID of the requested archived student |
{- "id": "abc123",
- "label": "string",
- "schoolStudentId": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "birthdate": "2019-08-24",
- "status": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "alumni": true,
- "accountDisabled": true,
- "address": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "permanentAddress": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "counselors": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "applicantType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "degreeLevel": {
- "id": "abc123",
- "label": "Display Label"
}, - "gpa": "3.4",
- "graduationDate": "2019-08-24",
- "major": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "programType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "workAuthorization": {
- "id": "abc123",
- "label": "Display Label"
}, - "year": {
- "id": "abc123",
- "label": "Display Label"
}, - "cellphoneNum": "5711231234",
- "mobileCarrier": {
- "id": "abc123",
- "label": "Display Label"
}, - "receiveSMS": true,
- "modified": "2019-08-24T14:15:22Z"
}Returns a list of addresses.
Note: Student or Faculty addresses should be created from the students or faculty API.
| keyword | string Search for addresses by title matching the keyword |
| page | integer Default: 1 Page number of the collection |
| perPage | integer <= 500 Default: 20 Maximum number of records to return, up to 500 |
| sort | string Name of field to sort by in ascending order.
Prepend |
| customFields | integer Enum: 0 1 When set to 1, returns custom field/values in addition to standard fields |
{- "page": 1,
- "perPage": 20,
- "total": 100,
- "className": "string",
- "models": [
- {
- "id": "abc123",
- "label": "string",
- "street": "string",
- "city": "string",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "string",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}
]
}Returns information for a single address.
| id required | string ID of the requested address |
{- "id": "abc123",
- "label": "string",
- "street": "string",
- "city": "string",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "string",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}Returns list of pick values for the given field.
For the state field, use the optional country query parameter to filter states/provinces by country.
When not specified, states for the "default" country for current locale are listed.
| field required | string Enum: "state" "country" Name of field with pick values |
| country | string = 2 characters Two-character country code to filter states/provinces (e.g. US, CA, AU) |
[- {
- "id": "abc123",
- "label": "Display Label"
}
]Returns a list of courses.
| keyword | string Search for courses by title matching the keyword |
| page | integer Default: 1 Page number of the collection |
| perPage | integer <= 500 Default: 20 Maximum number of records to return, up to 500 |
| sort | string Name of field to sort by in ascending order.
Prepend |
{- "page": 1,
- "perPage": 20,
- "total": 100,
- "className": "string",
- "models": [
- {
- "id": "abc123",
- "label": "string",
- "uniqueId": "string",
- "title": "string",
- "code": "string",
- "description": "string",
- "type": {
- "id": "abc123",
- "label": "Display Label"
}, - "days": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "startDate": "2019-08-24",
- "endDate": "2019-08-24",
- "startTime": "13:00:00",
- "endTime": "15:00:00",
- "semester": {
- "id": "abc123",
- "label": "Display Label"
}, - "creditHour": 0,
- "faculty": [
- {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}
], - "modified": "2019-08-24T14:15:22Z"
}
]
}Create a new course.
Warning: If uniqueId and semester for this course already exists in the system, it will not be created.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| title | string |
| uniqueId required | string |
| code | string |
| description | string |
| type | string Course type pick value ID |
| days | Array of strings Array of day pick value IDs |
| startDate | string <date> |
| endDate | string <date> |
| startTime | string |
| endTime | string |
| semester required | string Semester pick value ID |
| creditHour | string |
| faculty | Array of strings Array of faculty IDs |
[ ]{- "error": "string"
}Bulk update courses. Requires bulk=1 query parameter. Each object must include an id field.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| id required | string |
| title | string |
| uniqueId required | string |
| code | string |
| description | string |
| type | string Course type pick value ID |
| days | Array of strings Array of day pick value IDs |
| startDate | string <date> |
| endDate | string <date> |
| startTime | string |
| endTime | string |
| semester required | string Semester pick value ID |
| creditHour | string |
| faculty | Array of strings Array of faculty IDs |
[- {
- "id": "string",
- "title": "string",
- "uniqueId": "string",
- "code": "string",
- "description": "string",
- "type": "string",
- "days": [
- "string"
], - "startDate": "2019-08-24",
- "endDate": "2019-08-24",
- "startTime": "13:00:00",
- "endTime": "15:00:00",
- "semester": "string",
- "creditHour": "string",
- "faculty": [
- "string"
]
}
]{- "responses": [
- {
- "id": "abc123",
- "label": "string",
- "uniqueId": "string",
- "title": "string",
- "code": "string",
- "description": "string",
- "type": {
- "id": "abc123",
- "label": "Display Label"
}, - "days": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "startDate": "2019-08-24",
- "endDate": "2019-08-24",
- "startTime": "13:00:00",
- "endTime": "15:00:00",
- "semester": {
- "id": "abc123",
- "label": "Display Label"
}, - "creditHour": 0,
- "faculty": [
- {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}
], - "modified": "2019-08-24T14:15:22Z"
}
]
}Returns information for a single course.
Note: Faculty will be shown if your system has the faculty module.
| id required | string ID of the requested course |
{- "id": "abc123",
- "label": "string",
- "uniqueId": "string",
- "title": "string",
- "code": "string",
- "description": "string",
- "type": {
- "id": "abc123",
- "label": "Display Label"
}, - "days": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "startDate": "2019-08-24",
- "endDate": "2019-08-24",
- "startTime": "13:00:00",
- "endTime": "15:00:00",
- "semester": {
- "id": "abc123",
- "label": "Display Label"
}, - "creditHour": 0,
- "faculty": [
- {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}
], - "modified": "2019-08-24T14:15:22Z"
}Update a course. When updating a multi-value field (e.g. days, faculty), it will override with the new value.
| id required | string ID of the course to update |
| title | string |
| uniqueId required | string |
| code | string |
| description | string |
| type | string Course type pick value ID |
| days | Array of strings Array of day pick value IDs |
| startDate | string <date> |
| endDate | string <date> |
| startTime | string |
| endTime | string |
| semester required | string Semester pick value ID |
| creditHour | string |
| faculty | Array of strings Array of faculty IDs |
{- "title": "string",
- "uniqueId": "string",
- "code": "string",
- "description": "string",
- "type": "string",
- "days": [
- "string"
], - "startDate": "2019-08-24",
- "endDate": "2019-08-24",
- "startTime": "13:00:00",
- "endTime": "15:00:00",
- "semester": "string",
- "creditHour": "string",
- "faculty": [
- "string"
]
}{- "id": "abc123",
- "label": "string",
- "uniqueId": "string",
- "title": "string",
- "code": "string",
- "description": "string",
- "type": {
- "id": "abc123",
- "label": "Display Label"
}, - "days": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "startDate": "2019-08-24",
- "endDate": "2019-08-24",
- "startTime": "13:00:00",
- "endTime": "15:00:00",
- "semester": {
- "id": "abc123",
- "label": "Display Label"
}, - "creditHour": 0,
- "faculty": [
- {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}
], - "modified": "2019-08-24T14:15:22Z"
}Returns enrolled student schedules for a single course.
| id required | string ID of the requested course |
[- {
- "id": "abc123",
- "label": "string",
- "course": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "enrolled": true,
- "enrolledEndDate": "2019-08-24"
}
]Returns list of pick values for the given course field.
| field required | string Enum: "days" "semester" Name of field with pick values for Course |
[- {
- "id": "abc123",
- "label": "Display Label"
}
]Returns list of pick values for semesters with optional date filters.
| ignore_start_date | integer Enum: 0 1 When set to 1, the semester's start date is disregarded |
| ignore_end_date | integer Enum: 0 1 When set to 1, the semester's end date is disregarded |
[- {
- "id": "abc123",
- "label": "Display Label"
}
]Returns a list of student schedules.
| keyword | string Search for student schedules by title matching the keyword |
| page | integer Default: 1 Page number of the collection |
| perPage | integer <= 500 Default: 20 Maximum number of records to return, up to 500 |
| sort | string Name of field to sort by in ascending order.
Prepend |
| customFields | integer Enum: 0 1 When set to 1, returns custom field/values in addition to standard fields |
{- "page": 1,
- "perPage": 20,
- "total": 100,
- "className": "string",
- "models": [
- {
- "id": "abc123",
- "label": "string",
- "course": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "semester": {
- "id": "abc123",
- "label": "Display Label"
}, - "enrolled": true,
- "enrolledEndDate": "2019-08-24",
- "modified": "2019-08-24T14:15:22Z"
}
]
}Create a new student schedule.
Warning: If the given course and student are not in the system or the student is already enrolled in it, you will receive an error.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| course required | string Course ID |
| student required | string Student ID |
| enrolled | boolean |
[ ]{- "error": "string"
}Bulk update student schedules. Requires bulk=1 query parameter. Each object must include an id field.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| id required | string |
| course required | string Course ID |
| student required | string Student ID |
| enrolled | boolean |
[- {
- "id": "string",
- "course": "string",
- "student": "string",
- "enrolled": true
}
]{- "responses": [
- {
- "id": "abc123",
- "label": "string",
- "course": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "semester": {
- "id": "abc123",
- "label": "Display Label"
}, - "enrolled": true,
- "enrolledEndDate": "2019-08-24",
- "modified": "2019-08-24T14:15:22Z"
}
]
}Returns information for a single student course schedule.
| id required | string ID of the requested student schedule |
{- "id": "abc123",
- "label": "string",
- "course": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "semester": {
- "id": "abc123",
- "label": "Display Label"
}, - "enrolled": true,
- "enrolledEndDate": "2019-08-24",
- "modified": "2019-08-24T14:15:22Z"
}Update a student schedule.
Note: It is not allowed to update course and student fields.
| id required | string ID of the student schedule to update |
| enrolled | boolean |
{- "enrolled": true
}{- "id": "abc123",
- "label": "string",
- "course": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "semester": {
- "id": "abc123",
- "label": "Display Label"
}, - "enrolled": true,
- "enrolledEndDate": "2019-08-24",
- "modified": "2019-08-24T14:15:22Z"
}Returns a list of faculty.
Note: Faculty will be shown if your system has the faculty module.
| keyword | string Search for faculty by title matching the keyword |
| page | integer Default: 1 Page number of the collection |
| perPage | integer <= 500 Default: 20 Maximum number of records to return, up to 500 |
| sort | string Name of field to sort by in ascending order.
Prepend |
| customFields | integer Enum: 0 1 When set to 1, returns custom field/values in addition to standard fields |
{- "page": 1,
- "perPage": 20,
- "total": 100,
- "className": "string",
- "models": [
- {
- "id": "abc123",
- "label": "string",
- "schoolFacultyId": "string",
- "title": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "fax": "string",
- "departmentPhone": "string",
- "facultyType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "department": {
- "id": "abc123",
- "label": "Display Label"
}, - "school": {
- "id": "abc123",
- "label": "Display Label"
}, - "campus": {
- "id": "abc123",
- "label": "Display Label"
}, - "major": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "accountDisabled": true,
- "address": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "receiveEmail": true,
- "modified": "2019-08-24T14:15:22Z"
}
]
}Create a new faculty member.
Warning: The email field is required. If it duplicates with one in the system, it will not create a new faculty.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| schoolFacultyId | string |
| firstName | string |
| middleName | string |
| lastName | string |
| fullName | string |
| email required | string <email> |
| username | string |
| title | string |
| phone | string |
| fax | string |
| departmentPhone | string |
| major | Array of strings |
| facultyType | Array of strings |
| department | string |
object (AddressInput) | |
| receiveEmail | boolean |
| accountDisabled | boolean |
[ ]{- "error": "string"
}Bulk update faculty. Requires bulk=1 query parameter. Each object must include an id field.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| id required | string |
| schoolFacultyId | string |
| firstName | string |
| middleName | string |
| lastName | string |
| fullName | string |
| email required | string <email> |
| username | string |
| title | string |
| phone | string |
| fax | string |
| departmentPhone | string |
| major | Array of strings |
| facultyType | Array of strings |
| department | string |
object (AddressInput) | |
| receiveEmail | boolean |
| accountDisabled | boolean |
[- {
- "id": "string",
- "schoolFacultyId": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "title": "string",
- "phone": "string",
- "fax": "string",
- "departmentPhone": "string",
- "major": [
- "string"
], - "facultyType": [
- "string"
], - "department": "string",
- "address": {
- "street": "1728 N Troy",
- "city": "Arlington",
- "state": "US-VA",
- "zip": "22201",
- "country": "US"
}, - "receiveEmail": true,
- "accountDisabled": true
}
]{- "responses": [
- {
- "id": "abc123",
- "label": "string",
- "schoolFacultyId": "string",
- "title": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "fax": "string",
- "departmentPhone": "string",
- "facultyType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "department": {
- "id": "abc123",
- "label": "Display Label"
}, - "school": {
- "id": "abc123",
- "label": "Display Label"
}, - "campus": {
- "id": "abc123",
- "label": "Display Label"
}, - "major": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "accountDisabled": true,
- "address": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "receiveEmail": true,
- "modified": "2019-08-24T14:15:22Z"
}
]
}Returns information for a single faculty member.
| id required | string ID of the requested faculty |
{- "id": "abc123",
- "label": "string",
- "schoolFacultyId": "string",
- "title": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "fax": "string",
- "departmentPhone": "string",
- "facultyType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "department": {
- "id": "abc123",
- "label": "Display Label"
}, - "school": {
- "id": "abc123",
- "label": "Display Label"
}, - "campus": {
- "id": "abc123",
- "label": "Display Label"
}, - "major": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "accountDisabled": true,
- "address": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "receiveEmail": true,
- "modified": "2019-08-24T14:15:22Z"
}Update a faculty member. When updating a multi-value field (e.g. major, facultyType), it will override with the new value.
| id required | string ID of the faculty to update |
| schoolFacultyId | string |
| firstName | string |
| middleName | string |
| lastName | string |
| fullName | string |
| email required | string <email> |
| username | string |
| title | string |
| phone | string |
| fax | string |
| departmentPhone | string |
| major | Array of strings |
| facultyType | Array of strings |
| department | string |
object (AddressInput) | |
| receiveEmail | boolean |
| accountDisabled | boolean |
{- "schoolFacultyId": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "title": "string",
- "phone": "string",
- "fax": "string",
- "departmentPhone": "string",
- "major": [
- "string"
], - "facultyType": [
- "string"
], - "department": "string",
- "address": {
- "street": "1728 N Troy",
- "city": "Arlington",
- "state": "US-VA",
- "zip": "22201",
- "country": "US"
}, - "receiveEmail": true,
- "accountDisabled": true
}{- "id": "abc123",
- "label": "string",
- "schoolFacultyId": "string",
- "title": "string",
- "firstName": "string",
- "middleName": "string",
- "lastName": "string",
- "fullName": "string",
- "email": "user@example.com",
- "username": "string",
- "phone": "string",
- "fax": "string",
- "departmentPhone": "string",
- "facultyType": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "department": {
- "id": "abc123",
- "label": "Display Label"
}, - "school": {
- "id": "abc123",
- "label": "Display Label"
}, - "campus": {
- "id": "abc123",
- "label": "Display Label"
}, - "major": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "accountDisabled": true,
- "address": {
- "street": "3003 Washington Blvd. STE900",
- "city": "Arlington",
- "state": {
- "id": "abc123",
- "label": "Display Label"
}, - "zip": "22201",
- "country": {
- "id": "abc123",
- "label": "Display Label"
}
}, - "receiveEmail": true,
- "modified": "2019-08-24T14:15:22Z"
}Returns list of pick values for the given faculty field.
| field required | string Enum: "major" "department" "facultyType" Name of field with pick values for Faculty |
[- {
- "id": "abc123",
- "label": "Display Label"
}
]Returns a list of degree programs.
| keyword | string Search for degree programs by title matching the keyword |
| page | integer Default: 1 Page number of the collection |
| perPage | integer <= 500 Default: 20 Maximum number of records to return, up to 500 |
| sort | string Name of field to sort by in ascending order.
Prepend |
| customFields | integer Enum: 0 1 When set to 1, returns custom field/values in addition to standard fields |
{- "page": 1,
- "perPage": 20,
- "total": 100,
- "className": "string",
- "models": [
- {
- "id": "abc123",
- "label": "string",
- "title": "string",
- "description": "string",
- "code": "string",
- "version": "string",
- "level": {
- "id": "abc123",
- "label": "Display Label"
}, - "award": {
- "id": "abc123",
- "label": "Display Label"
}, - "mode": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "area": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "campus": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "startDate": "2019-08-24",
- "faculty": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "coordinatorNames": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "coordinatorEmails": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "courses": [
- {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}
], - "modified": "2019-08-24T14:15:22Z"
}
]
}Create a new degree program.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| title | string |
| description | string |
| code | string |
| version | string |
| level | string |
| award | string |
| mode | Array of strings |
| area | Array of strings |
string or integer | |
| startDate | string <date> |
Array of strings or integers | |
| courses | Array of strings Array of course IDs |
[ ]{- "id": "abc123",
- "label": "string",
- "title": "string",
- "description": "string",
- "code": "string",
- "version": "string",
- "level": {
- "id": "abc123",
- "label": "Display Label"
}, - "award": {
- "id": "abc123",
- "label": "Display Label"
}, - "mode": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "area": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "campus": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "startDate": "2019-08-24",
- "faculty": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "coordinatorNames": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "coordinatorEmails": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "courses": [
- {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}
], - "modified": "2019-08-24T14:15:22Z"
}Bulk update degree programs. Requires bulk=1 query parameter. Each object must include an id field.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| id required | string |
| title | string |
| description | string |
| code | string |
| version | string |
| level | string |
| award | string |
| mode | Array of strings |
| area | Array of strings |
string or integer | |
| startDate | string <date> |
Array of strings or integers | |
| courses | Array of strings Array of course IDs |
[- {
- "id": "string",
- "title": "string",
- "description": "string",
- "code": "string",
- "version": "string",
- "level": "string",
- "award": "string",
- "mode": [
- "string"
], - "area": [
- "string"
], - "campus": "string",
- "startDate": "2019-08-24",
- "faculty": [
- "string"
], - "courses": [
- "string"
]
}
]{- "responses": [
- {
- "id": "abc123",
- "label": "string",
- "title": "string",
- "description": "string",
- "code": "string",
- "version": "string",
- "level": {
- "id": "abc123",
- "label": "Display Label"
}, - "award": {
- "id": "abc123",
- "label": "Display Label"
}, - "mode": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "area": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "campus": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "startDate": "2019-08-24",
- "faculty": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "coordinatorNames": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "coordinatorEmails": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "courses": [
- {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}
], - "modified": "2019-08-24T14:15:22Z"
}
]
}Returns information for a single degree program.
| id required | string ID of the requested degree program |
{- "id": "abc123",
- "label": "string",
- "title": "string",
- "description": "string",
- "code": "string",
- "version": "string",
- "level": {
- "id": "abc123",
- "label": "Display Label"
}, - "award": {
- "id": "abc123",
- "label": "Display Label"
}, - "mode": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "area": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "campus": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "startDate": "2019-08-24",
- "faculty": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "coordinatorNames": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "coordinatorEmails": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "courses": [
- {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}
], - "modified": "2019-08-24T14:15:22Z"
}Update a degree program.
| id required | string ID of the degree program to update |
| title | string |
| description | string |
| code | string |
| version | string |
| level | string |
| award | string |
| mode | Array of strings |
| area | Array of strings |
string or integer | |
| startDate | string <date> |
Array of strings or integers | |
| courses | Array of strings Array of course IDs |
{- "title": "string",
- "description": "string",
- "code": "string",
- "version": "string",
- "level": "string",
- "award": "string",
- "mode": [
- "string"
], - "area": [
- "string"
], - "campus": "string",
- "startDate": "2019-08-24",
- "faculty": [
- "string"
], - "courses": [
- "string"
]
}{- "id": "abc123",
- "label": "string",
- "title": "string",
- "description": "string",
- "code": "string",
- "version": "string",
- "level": {
- "id": "abc123",
- "label": "Display Label"
}, - "award": {
- "id": "abc123",
- "label": "Display Label"
}, - "mode": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "area": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "campus": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "startDate": "2019-08-24",
- "faculty": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "coordinatorNames": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "coordinatorEmails": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "courses": [
- {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}
], - "modified": "2019-08-24T14:15:22Z"
}Returns a list of degree program enrolments.
| page | integer Default: 1 Page number of the collection |
| perPage | integer <= 500 Default: 20 Maximum number of records to return, up to 500 |
| sort | string Name of field to sort by in ascending order.
Prepend |
| customFields | integer Enum: 0 1 When set to 1, returns custom field/values in addition to standard fields |
{- "page": 1,
- "perPage": 20,
- "total": 100,
- "className": "string",
- "models": [
- {
- "id": "abc123",
- "label": "string",
- "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "degreeProgram": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "gpa": "3.4",
- "period": {
- "id": "abc123",
- "label": "Display Label"
}, - "status": {
- "id": "abc123",
- "label": "Display Label"
}, - "campuses": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "attendanceMode": {
- "id": "abc123",
- "label": "Display Label"
}, - "attendanceType": {
- "id": "abc123",
- "label": "Display Label"
}, - "studyAreas": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "modified": "2019-08-24T14:15:22Z"
}
]
}Create a new degree program enrolment.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| degreeProgram | string Degree program ID |
| student | string Student ID |
string or integer | |
| period | string |
| gpa | string |
[ ]{- "error": "string"
}Bulk update degree program enrolments. Requires bulk=1 query parameter. Each object must include an id field.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| id required | string |
| degreeProgram | string Degree program ID |
| student | string Student ID |
string or integer | |
| period | string |
| gpa | string |
[- {
- "id": "string",
- "degreeProgram": "string",
- "student": "string",
- "status": "string",
- "period": "string",
- "gpa": "string"
}
]{- "responses": [
- {
- "id": "abc123",
- "label": "string",
- "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "degreeProgram": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "gpa": "3.4",
- "period": {
- "id": "abc123",
- "label": "Display Label"
}, - "status": {
- "id": "abc123",
- "label": "Display Label"
}, - "campuses": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "attendanceMode": {
- "id": "abc123",
- "label": "Display Label"
}, - "attendanceType": {
- "id": "abc123",
- "label": "Display Label"
}, - "studyAreas": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "modified": "2019-08-24T14:15:22Z"
}
]
}Returns information for a single degree program enrolment.
| id required | string ID of the requested degree program enrolment |
{- "id": "abc123",
- "label": "string",
- "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "degreeProgram": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "gpa": "3.4",
- "period": {
- "id": "abc123",
- "label": "Display Label"
}, - "status": {
- "id": "abc123",
- "label": "Display Label"
}, - "campuses": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "attendanceMode": {
- "id": "abc123",
- "label": "Display Label"
}, - "attendanceType": {
- "id": "abc123",
- "label": "Display Label"
}, - "studyAreas": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "modified": "2019-08-24T14:15:22Z"
}Update a degree program enrolment.
| id required | string ID of the enrolment to update |
| degreeProgram | string Degree program ID |
| student | string Student ID |
string or integer | |
| period | string |
| gpa | string |
{- "degreeProgram": "string",
- "student": "string",
- "status": "string",
- "period": "string",
- "gpa": "string"
}{- "id": "abc123",
- "label": "string",
- "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "degreeProgram": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "gpa": "3.4",
- "period": {
- "id": "abc123",
- "label": "Display Label"
}, - "status": {
- "id": "abc123",
- "label": "Display Label"
}, - "campuses": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "attendanceMode": {
- "id": "abc123",
- "label": "Display Label"
}, - "attendanceType": {
- "id": "abc123",
- "label": "Display Label"
}, - "studyAreas": [
- {
- "id": "abc123",
- "label": "Display Label"
}
], - "modified": "2019-08-24T14:15:22Z"
}Returns a list of appointments. Only submitted appointments are returned.
Common Query Examples:
approved=1&cancelled=0&counselingDate=(current date)|(future dates)approved=0&cancelled=0&counselingDate=(current date)|(future dates)counselingDate=(past dates)|(current date)cancelled=1Note: For date and number fields, ranges can be searched using the pipe character |.
| keyword | string Search for appointments by student name or email |
| page | integer Default: 1 Page number of the collection |
| perPage | integer <= 500 Default: 20 Maximum number of records to return, up to 500 |
| sort | string Name of field to sort by in ascending order.
Prepend |
| customFields | integer Enum: 0 1 When set to 1, returns custom field/values in addition to standard fields |
{- "page": 1,
- "perPage": 20,
- "total": 100,
- "className": "string",
- "models": [
- {
- "id": "abc123",
- "label": "string",
- "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "counselor": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingDate": "2026-05-15",
- "counselingTime": "10:00:00",
- "comment": "string",
- "length": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingType": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingStudentNote": "string",
- "counselingNotePrivate": "string",
- "location": {
- "id": "abc123",
- "label": "Display Label"
}, - "room": {
- "id": "abc123",
- "label": "Display Label"
}, - "attendance": {
- "id": "abc123",
- "label": "Display Label"
}, - "reasonForCancellation": {
- "id": "abc123",
- "label": "Display Label"
}, - "reasonForCancellationOther": "string",
- "approved": true,
- "cancelled": true
}
]
}Create a new appointment.
Warning: The following fields are required: student, counselingDate, counselingTime, counselor, and counselingType.
The student must exist in the system and the counselor must be a valid staff counselor.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| student required | string Student ID |
| counselor required | string Counselor ID |
| counselingDate required | string <date> Appointment Date |
| counselingTime required | string <time> Appointment Time |
| counselingType required | string Appointment Type ID |
| length | string Appointment Length ID |
| comment | string Notes |
| counselingStudentNote | string Student/Additional Notes |
| location | string Location ID |
| room | string Room ID |
[ ]{- "id": "abc123",
- "label": "string",
- "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "counselor": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingDate": "2026-05-15",
- "counselingTime": "10:00:00",
- "comment": "string",
- "length": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingType": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingStudentNote": "string",
- "counselingNotePrivate": "string",
- "location": {
- "id": "abc123",
- "label": "Display Label"
}, - "room": {
- "id": "abc123",
- "label": "Display Label"
}, - "attendance": {
- "id": "abc123",
- "label": "Display Label"
}, - "reasonForCancellation": {
- "id": "abc123",
- "label": "Display Label"
}, - "reasonForCancellationOther": "string",
- "approved": true,
- "cancelled": true
}Bulk update appointments. Requires bulk=1 query parameter. Each object must include an id field.
| bulk | integer Value: 1 Set to 1 to indicate a bulk request payload (up to 100 records) |
| id required | string |
| student required | string Student ID |
| counselor required | string Counselor ID |
| counselingDate required | string <date> Appointment Date |
| counselingTime required | string <time> Appointment Time |
| counselingType required | string Appointment Type ID |
| length | string Appointment Length ID |
| comment | string Notes |
| counselingStudentNote | string Student/Additional Notes |
| location | string Location ID |
| room | string Room ID |
[- {
- "id": "string",
- "student": "abc123",
- "counselor": "abc123",
- "counselingDate": "2026-05-15",
- "counselingTime": "10:00:00",
- "counselingType": "type_001",
- "length": "abc123",
- "comment": "string",
- "counselingStudentNote": "string",
- "location": "loc_001",
- "room": "room_001"
}
]{- "responses": [
- {
- "id": "abc123",
- "label": "string",
- "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "counselor": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingDate": "2026-05-15",
- "counselingTime": "10:00:00",
- "comment": "string",
- "length": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingType": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingStudentNote": "string",
- "counselingNotePrivate": "string",
- "location": {
- "id": "abc123",
- "label": "Display Label"
}, - "room": {
- "id": "abc123",
- "label": "Display Label"
}, - "attendance": {
- "id": "abc123",
- "label": "Display Label"
}, - "reasonForCancellation": {
- "id": "abc123",
- "label": "Display Label"
}, - "reasonForCancellationOther": "string",
- "approved": true,
- "cancelled": true
}
]
}Returns information for a single appointment.
| id required | string ID of the requested appointment |
{- "id": "abc123",
- "label": "string",
- "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "counselor": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingDate": "2026-05-15",
- "counselingTime": "10:00:00",
- "comment": "string",
- "length": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingType": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingStudentNote": "string",
- "counselingNotePrivate": "string",
- "location": {
- "id": "abc123",
- "label": "Display Label"
}, - "room": {
- "id": "abc123",
- "label": "Display Label"
}, - "attendance": {
- "id": "abc123",
- "label": "Display Label"
}, - "reasonForCancellation": {
- "id": "abc123",
- "label": "Display Label"
}, - "reasonForCancellationOther": "string",
- "approved": true,
- "cancelled": true
}Update an existing appointment.
Note: The counselor of a joint appointment cannot be changed.
| id required | string ID of the appointment to update |
| student required | string Student ID |
| counselor required | string Counselor ID |
| counselingDate required | string <date> Appointment Date |
| counselingTime required | string <time> Appointment Time |
| counselingType required | string Appointment Type ID |
| length | string Appointment Length ID |
| comment | string Notes |
| counselingStudentNote | string Student/Additional Notes |
| location | string Location ID |
| room | string Room ID |
{- "student": "abc123",
- "counselor": "abc123",
- "counselingDate": "2026-05-15",
- "counselingTime": "10:00:00",
- "counselingType": "type_001",
- "length": "abc123",
- "comment": "string",
- "counselingStudentNote": "string",
- "location": "loc_001",
- "room": "room_001"
}{- "id": "abc123",
- "label": "string",
- "student": {
- "id": "abc123",
- "label": "Display Label",
- "link": "/api/v1/resource/abc123"
}, - "counselor": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingDate": "2026-05-15",
- "counselingTime": "10:00:00",
- "comment": "string",
- "length": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingType": {
- "id": "abc123",
- "label": "Display Label"
}, - "counselingStudentNote": "string",
- "counselingNotePrivate": "string",
- "location": {
- "id": "abc123",
- "label": "Display Label"
}, - "room": {
- "id": "abc123",
- "label": "Display Label"
}, - "attendance": {
- "id": "abc123",
- "label": "Display Label"
}, - "reasonForCancellation": {
- "id": "abc123",
- "label": "Display Label"
}, - "reasonForCancellationOther": "string",
- "approved": true,
- "cancelled": true
}Permanently delete an appointment.
Warning: The appointment record is permanently removed; recurring series are not affected.
| id required | string ID of the appointment to delete |
"Object Deleted"Returns list of pick values for the given appointment field.
| field required | string Enum: "counselor" "counselingType" "length" "location" "room" "attendance" Name of field with pick values for Appointment |
[- {
- "id": "abc123",
- "label": "Display Label"
}
]List existing report jobs.
| page | integer Default: 1 Page number of the collection |
| perPage | integer <= 500 Default: 20 Maximum number of records to return, up to 500 |
{- "page": 1,
- "perPage": 20,
- "total": 100,
- "className": "csm_report",
- "models": [
- {
- "id": "abc123",
- "label": "string",
- "description": "string",
- "lastRun": "2019-08-24T14:15:22Z"
}
]
}Get the status and other basic information for a given report job run. If run is not specified, returns the last run.
| id required | string ID of the report job |
| run | string ID of a specific report run |
{- "id": "abc123",
- "label": "string",
- "status": "string",
- "created": "2019-08-24T14:15:22Z"
}Get details of a given report job run. If run is not specified, returns the last run.
| id required | string ID of the report job |
| run | string ID of a specific report run |
{- "id": "abc123",
- "label": "string",
- "description": "string",
- "status": "string",
- "created": "2019-08-24T14:15:22Z",
- "startTime": "2019-08-24T14:15:22Z",
- "elapsedTime": "string",
- "headers": [
- "string"
], - "data": [
- [
- "string"
]
], - "count": 0
}Get results of a given report job. If run is not specified, returns the last run.
| id required | string ID of the report job |
| run | string ID of a specific report run |
| format | string Default: "array" Enum: "array" "csv" "excel" Data format to return |
[- [
- "string"
]
]Get a collection of previous runs of a given report job.
| id required | string ID of the report job |
| page | integer Default: 1 Page number of the collection |
| perPage | integer <= 500 Default: 20 Maximum number of records to return, up to 500 |
{- "page": 1,
- "perPage": 20,
- "total": 100,
- "className": "report_result",
- "models": [
- {
- "id": "abc123",
- "label": "string",
- "status": "string",
- "created": "2019-08-24T14:15:22Z"
}
]
}